* {
    margin: 0;
    border: 0;
    box-sizing: border-box;
}

body {
    min-height: 100vh;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    background-image: url(./sources/restaurant-bg.jpg);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    backdrop-filter: blur(0.3rem);
    display: flex;
    flex-flow: column;
}

main, #restaurant-display, .pizza-logo, footer {
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    align-items: center;
}

main {
    flex: 1;
    width: 100%;
}

#restaurant-display {
    font-family: Arial, sans-serif;
    text-align: center;
    font-weight: 600;
    color: #555;
    max-width: 31.25rem;
    width: 90%;
    background: #FFFDF7;
    padding: 1.2rem;
    border-radius: 1rem;
    gap: 1rem;
}

.pizza-logo {
    margin-bottom: 0.625rem;
    filter: drop-shadow(0.125rem 0.25rem 0.188rem #0000004d);
}

.pizza-logo #name {
    font-family: 'Italianno';
    font-size: 3rem;
    color: #f1c100;
    margin-bottom: -1.5rem;
    transform: rotate(-5deg);
    text-shadow: 2px 2px 0 #000, -2px -2px 0 #000, 2px -2px 0 #000, -2px 2px 0 #000,
    0px 2px 0 #000, 0px -2px 0 #000, 2px 0px 0 #000, -2px 0px 0 #000;
}

.pizza-logo #product {
    font-family: 'Bangers';
    font-size: 4.5rem;
    letter-spacing: 0.125rem;
    color: #e74c3c;
    -webkit-text-stroke: 0.063rem #000;
}

#order-button {
    font-weight: 600;
    letter-spacing: 0.1rem;
    color: #fff;
    background-color: #2a83ff;
    padding: 1rem 2rem;
    border-radius: 0.6rem;
    cursor: pointer;
    transition: all 0.3s ease;
}

#order-button:enabled:hover {
    transform: translateY(-0.125rem);
}

#order-button:disabled {
    background: #adadad;
    cursor: not-allowed;
}

.order-success {
    color: green !important;
}

footer {
    text-align: center;
    padding: 0.8rem 0;
    width: 100%;
    background: #00000050;
    backdrop-filter: blur(0.1rem);
    position: absolute;
    bottom: 0;
}

footer a {
    text-decoration: none;
    color: #fff;
    font-size: 1.1rem;
}

footer svg {
    transition: all 0.4s ease;
}

footer svg:hover {
    transform: scale(1.5);
    color: #000000;
}

/* Loader */
.loader {
    width: 1.25rem;
    height: 1.25rem;
    border: 0.313rem solid #a1a0a0;
    border-bottom-color: #2a83ff;
    border-radius: 50%;
    display: inline-block;
    box-sizing: border-box;
    animation: rotation 1s linear infinite;
    }

@keyframes rotation {
0% {
    transform: rotate(0deg);
}
100% {
    transform: rotate(360deg);
}
} 